Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class MergeIterator.Candidate<In>

    java.lang.Object
      org.apache.cassandra.utils.MergeIterator.Candidate<In>

All Implemented Interfaces:
  java.lang.Comparable<MergeIterator.Candidate<In>>

Enclosing class:
  MergeIterator<In,Out>

    protected static final class MergeIterator.Candidate<In>

extends java.lang.Object
implements java.lang.Comparable<MergeIterator.Candidate<In>>

Constructor Summary
`MergeIterator.Candidate(CloseableIterator<In> iter, java.util.Comparator<In> comp)`

Method Summary
`protected boolean` | `advance()`
`int` | `compareTo(MergeIterator.Candidate<In> that)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeIterator.Candidate

    public MergeIterator.Candidate(CloseableIterator<In> iter,
                                   java.util.Comparator<In> comp)

Method Detail

### advance

    protected boolean advance()

  Returns:
    True if our iterator had an item, and it is now available

### compareTo

    public int compareTo(MergeIterator.Candidate<In> that)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<MergeIterator.Candidate<In>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation